import request from '@/utils/request'

// 查询合理化建议记录列表
export function listImprovement(query) {
  return request({
    url: '/shiftmgr/improvement/list',
    method: 'get',
    params: query
  })
}

// 查询合理化建议记录详细
export function getImprovement(id) {
  return request({
    url: '/shiftmgr/improvement/' + id,
    method: 'get'
  })
}

// 新增合理化建议记录
export function addImprovement(data) {
  return request({
    url: '/shiftmgr/improvement',
    method: 'post',
    data: data
  })
}

// 修改合理化建议记录
export function updateImprovement(data) {
  return request({
    url: '/shiftmgr/improvement',
    method: 'put',
    data: data
  })
}

// 删除合理化建议记录
export function delImprovement(id) {
  return request({
    url: '/shiftmgr/improvement/' + id,
    method: 'delete'
  })
}

// 导出合理化建议记录
export function exportImprovement(query) {
  return request({
    url: '/shiftmgr/improvement/export',
    method: 'get',
    params: query
  })
}
